Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.capabilities
Class CoverageAbilities

    java.lang.Object
      org.deegree.ogcwebservices.wcts.capabilities.CoverageAbilities

    public class CoverageAbilities

extends Object

`CoverageAbilities` specify coverage transformation abilities of WCTS server, this class encapsulates them.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`CoverageAbilities(List<Pair<String,String>> coverageTypes, List<InputOutputFormat> coverageFormats, List<Element> interPolationMethods)`

Method Summary
`List<InputOutputFormat>` | `getCoverageFormats()`
`List<Pair<String,String>>` | `getCoverageTypes()`
`List<Element>` | `getInterPolationMethods()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoverageAbilities

    public CoverageAbilities(List<Pair<String,String>> coverageTypes,
                             List<InputOutputFormat> coverageFormats,
                             List<Element> interPolationMethods)

Parameters:
  `coverageTypes` -
  `coverageFormats` -
  `interPolationMethods` -

Method Detail

### getCoverageTypes

    public final List<Pair<String,String>> getCoverageTypes()

  Returns:
    the coverageTypes a list of <value,codeType > pairs.

### getCoverageFormats

    public final List<InputOutputFormat> getCoverageFormats()

  Returns:
    the coverageFormats.

### getInterPolationMethods

    public final List<Element> getInterPolationMethods()

  Returns:
    the interPolationMethods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org